<?php
include_once 'inc/function.php';
$admin=new Admin();

if(!empty($_POST['task']) && $_POST['task']=='add'){
	$response=$admin->add_banner($db,$_POST);
	if($response){
		$_SESSION['success']='New Banner Added Successfully';
		echo '<script> window.location="view-banner.php?task=view"; </script>';
	}
}

include_once 'inc/header.php';
?>

<div id="content" class="container-fluid">
  <ol class="breadcrumb">
    <li>Home</li>
    <li>Banner Management</li>
    <li>Add Banner</li>
  </ol>
  <div class="panel panel-default">
    <div class="panel-heading">
      <div class="pull-right">
        <button type="submit" form="form-banner" title="Save" data-toggle="tooltip" class="btn btn-success"><i class="fa fa-save"></i></button>
        <a href="view-banner.php?task=view" title="Cancel" data-toggle="tooltip" class="btn btn-danger"><i class="fa fa-times"></i></a> </div>
      <h1 class="panel-title"><i class="fa fa-file-image-o"></i> Add Banner</h1>
    </div>
    <div class="panel-body">
      <form method="post" id="form-banner" class="form-horizontal" enctype="multipart/form-data"><br>
		<input type="hidden" name="task" value="add">
        <div class="form-group">
          <label class="required col-sm-2 control-label">Title</label>
          <div class="col-sm-10">
            <input type="text" name="title" class="form-control" required>
          </div>
        </div>
        <div class="form-group">
          <label class="required col-sm-2 control-label">Image</label>
          <div class="col-sm-10">
            <input type="file" name="image" class="form-control" required>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

<?php include_once 'inc/footer.php'; ?>

<script src="<?=ADMINURL?>/js/jquery.validate.min.js" type="text/javascript"></script>
<script>
	// JavaScript Document

(function($,W,D)
{
    var JQUERY4U = {};

    JQUERY4U.UTIL =
    {
        setupFormValidation: function()
        {
            //form validation rules
            $("#form-banner").validate({
                rules: {
                    title: {
						required:true
					},
                    image: {
						required:true
					}
                },
                messages: {
                    title: {
						required: "Please enter title of banner"
					},
                    image: {
						required: "Please upload image of banner"
					}
                },
                submitHandler: function(form) {
                    form.submit();
                }
            });
        }
    }

    //when the dom has loaded setup form validation rules
    $(D).ready(function($) {
        JQUERY4U.UTIL.setupFormValidation();
    });

})(jQuery, window, document);
</script>

<script type="text/javascript" src="<?=ADMINURL?>/js/system.js"></script>